Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Samuli Suominen (ssuominen)" <ssuominen@g.o>
Subject: gentoo-x86 commit in media-sound/wavbreaker: wavbreaker-0.10.ebuild
Date: Thu, 14 May 2009 08:46:26 +0000
ssuominen    09/05/14 08:46:26

  Modified:             wavbreaker-0.10.ebuild
  Log:
  Convert to EAPI2.
  (Portage version: 2.1.6.13/cvs/Linux x86_64)

Revision  Changes    Path
1.3                  media-sound/wavbreaker/wavbreaker-0.10.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/wavbreaker/wavbreaker-0.10.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/wavbreaker/wavbreaker-0.10.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-sound/wavbreaker/wavbreaker-0.10.ebuild?r1=1.2&r2=1.3

Index: wavbreaker-0.10.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-sound/wavbreaker/wavbreaker-0.10.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- wavbreaker-0.10.ebuild	14 Jun 2008 12:32:36 -0000	1.2
+++ wavbreaker-0.10.ebuild	14 May 2009 08:46:26 -0000	1.3
@@ -1,7 +1,8 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/wavbreaker/wavbreaker-0.10.ebuild,v 1.2 2008/06/14 12:32:36 drac Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/wavbreaker/wavbreaker-0.10.ebuild,v 1.3 2009/05/14 08:46:26 ssuominen Exp $
 
+EAPI=2
 inherit autotools eutils
 
 DESCRIPTION="wavbreaker/wavmerge GTK+ utility to break or merge WAV files"
@@ -14,30 +15,28 @@
 IUSE="alsa nls oss pulseaudio"
 
 RDEPEND="dev-libs/libxml2
-	>=x11-libs/gtk+-2
+	>=x11-libs/gtk+-2:2
 	alsa? ( media-libs/alsa-lib )
 	pulseaudio? ( media-sound/pulseaudio )"
 DEPEND="${RDEPEND}
 	nls? ( sys-devel/gettext )
 	dev-util/pkgconfig"
 
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
+src_prepare() {
 	epatch "${FILESDIR}"/${P}-pkgconfig.patch
 	eautoreconf
 }
 
-src_compile() {
-	econf --disable-dependency-tracking \
+src_configure() {
+	econf \
+		--disable-dependency-tracking \
 		$(use_enable nls) \
 		$(use_enable alsa) \
 		$(use_enable pulseaudio pulse) \
 		$(use_enable oss)
-	emake || die "emake failed."
 }
 
 src_install() {
-	emake DESTDIR="${D}" install || die "emake install failed."
+	emake DESTDIR="${D}" install || die "emake install failed"
 	dodoc AUTHORS ChangeLog CONTRIBUTORS NEWS README* TODO
 }





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in www-servers/lighttpd: ChangeLog lighttpd-1.4.22-r1.ebuild
Next by thread:
gentoo-x86 commit in dev-tex/tex4ht: ChangeLog tex4ht-20090115_p0029.ebuild tex4ht-20090223_p2217.ebuild
Previous by date:
gentoo-x86 commit in www-servers/lighttpd: ChangeLog lighttpd-1.4.22-r1.ebuild
Next by date:
gentoo-x86 commit in dev-tex/tex4ht: ChangeLog tex4ht-20090115_p0029.ebuild tex4ht-20090223_p2217.ebuild


Updated Jun 10, 2010

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.